#
# Test script to run the oisst_nc2bin.py script
#
#
#  CREATED by Paolo Veglio and Eva Borbas  
#             Space Science and Engineering Center
#             University of Wisconsin-Madison

# HISTORY
# Version 0.3 - created on February 7, 2023 
# 
set -e

#------------------
# SET FOR TESTING: 

scriptdir=$(realpath $(dirname $0))
indir=${scriptdir}/inputs
pydir=${scriptdir}/../dist/env/bin/
srcdir=${scriptdir}/../source/

#------------------
fns=$indir/oisst*.nc

for fnin in ${fns}
do
    gran=`basename $fnin | awk -F"." '{print $2}'`
    fnout=`echo oisst.${gran}`
    gdasfn=`echo gdas1.PGrbF00.${gran:2}.00z`
    
    echo oisst_nc2bin.py $fnin $indir/$gdasfn $fnout
    $pydir/python $srcdir/oisst_nc2bin.py $fnin $indir/$gdasfn $fnout
done

exit 1
